Delete Product
Deletes a product
Deletes a product from the Usage Meter
Request
URI
DELETE
https://umip/api/v1/product
COPY
Query Parameters
boolean
forget
Required
Constraints:
default: true
Specifies whether to delete the product completely; must be set to true
integer
id
Required
Constraints:
minimum: 1
ID of the product to delete, obtained from Add /product API response
Responses
202
Product deletion successful
Operation doesn't return any data structure
400
Invalid delete product request
Returns
400ManagedProductDeleteRequest
of type(s)
application/json
Operation doesn't return any data structure
401
Provided access token is missing or invalid.
Operation doesn't return any data structure
502
For example, product with the specified 'ProductType' and 'id' is not found
Returns
Error
of type(s)
application/json
{
"errCode": "string",
"errMessage": "string"
}
string
errCode
Optional
errCode
string
errMessage
Optional
errMessage
Code Samples
COPY
curl -X DELETE -H 'Authorization: <value>' https://{api_host}/api/v1/product?productType=value&forget=value&id=v
Product Operations
POST
Post Product
GET
Get Product
PUT
Put Product
DELETE
Delete Product
PUT
Accept Certificate